# @lfk/kiosk

## Overview 👀
This is a simple kiosk style register form for the LfK runnersystem.
The basic idea is:
1. Create a runnersystem user with only `RUNNER:CREATE` permissions.
2. Login with this user under `/login`
3. Runners can register via their firstnam and lastname
4. The kiosk creates the runner via the backend and shows their id, firstname, lastname and a barcode containing their id

## Development 🛠️
```
pnpm i
pnpm dev --open
```

## Build 🚀
```
pnpm i
pnpm build
```

## Docker 🐳
```
docker build .
docker-compose up
```